#include <iostream>
typedef long long broj;
int main()
{
    int n,m;
    scanf("%d%d",&n,&m);
    int P[n],p[n];
    for(int i=0;i<n;i++)
    {
        P[i]=p[i]=0;
    }
    broj* A=new broj[n];
    for(int i=0;i<n;i++)
    {
        scanf("%ll",&A[i]);
    }
    //poznanici
    for(int k=0;k<m;k++)
    {
        int i,j;
        scanf("%d%d",&i,&j);
        i--;j--;
        P[i]++;
        P[j]++;
        //da li su prijatelji???
        if(A[i]>=0&&A[j]>=0)
        {
            p[i]++;
            p[j]++;
        }
        else if(A[i]<0&&A[j]>=0)
        {
            if(-A[i]<A[j])
            {
                p[i]++;
                p[j]++;
            }
        }
        else if(A[i]>=0&&A[j]<0)
        {
            if(-A[j]<A[i])
            {
                p[i]++;
                p[j]++;
            }
        }
    }
    broj sreca=0;
    for(int i=0;i<n;i++)
    {
        broj x=(broj)(2*p[i]-P[i]);
        sreca+=A[i]*x;
    }
    delete[] A;
    printf("%ll",sreca);
    return 0;
}